## filter 2.3.1

=== Makefile ===
# Variables
#	Variables established by Configure
CC		=	cc
CCFLAGS		=	 
CHGRP		=	/bin/chgrp
CHMOD		=	/bin/chmod
CP		=	/bin/cp
DEST		=	$(DESTDIR)/usr/local/bin
ECHO		=	/bin/echo
LFLAGS		=	 
LIB		=	
LIB2		= 	-lintl -lnls
LIBS		=	-lcurses 
LINT		=	/usr/ucb/lint
MAILGRP		=	mail
MAILERMODE	=	755
MAKE		=	/usr/ccs/bin/make
MV		=	/bin/mv
OPTIMIZE	=	-O
RM		= 	/bin/rm -f
TOUCH		=	/bin/touch


#	Variables you may want to manually edit
#		If you want debug logging then you'll
#		want to uncomment the following.
#DEBUG		=	-DDEBUG

#	Other variables
CFLAGS		=	$(CCFLAGS) $(OPTIMIZE) $(DEBUG) $(DACSNET) 

# Definitions of variables
FILTER_SRC	=	actions.c	\
			filter.c	\
			lock.c		\
			parse.c		\
			regexp.c	\
			rules.c		\
			summarize.c	\
			utils.c		\
			audit.c		\
			istrcmp.c	\
			mk_lockname.c	\
			strtokq.c

FILTER_OBJ	=	actions.o	\
			filter.o	\
			lock.o		\
			parse.o		\
			regexp.o	\
			rules.o		\
			summarize.o	\
			utils.o		\
			audit.o		\
			istrcmp.o	\
			mk_lockname.o	\
			strtokq.o


# Standard targets
all:		filter

install:	$(DEST)/filter
	(cd doc && $(MAKE) DESTDIR=$(DESTDIR) $(MFLAGS) install)	

uninstall:	
		$(RM) $(DEST)/filter

clean:		
		$(RM) $(FILTER_OBJ) filter core

reallyclean:	clean
		$(RM) config.sh

# Dependencies and rules
#	Dependencies of header files upon other header files they include
.PRECIOUS:		defs.h 

defs.h:	config.h 
	$(CHMOD) u+w $@
	$(TOUCH) $@


#	Dependencies and rules for C object files
actions.o:		defs.h filter.h s_filter.h
filter.o:		defs.h filter.h s_filter.h version.h
lock.o:			defs.h filter.h s_filter.h
parse.o:		defs.h filter.h s_filter.h
regexp.o:		defs.h regexp.h
rules.o:		defs.h filter.h s_filter.h
summarize.o:		defs.h filter.h s_filter.h
utils.o:		defs.h filter.h s_filter.h
audit.o:		defs.h filter.h s_filter.h

#	Dependencies and rules for compiling programs
filter:	$& $(FILTER_OBJ)
	$(CC) $(LFLAGS) -o $@ $(FILTER_OBJ)

#	Dependencies and rules for installing programs from bin directory
$(DEST)/filter:		filter
			-$(MV) $(DEST)/filter $(DEST)/filter.old
			-$(RM) $(DEST)/filter.old
			$(CP) $? $@
			$(CHGRP) $(MAILGRP) $@
			$(CHMOD) $(MAILERMODE) $@

=== doc/Makefile ===
#
# Variables
#	Variables established by Configure
CHMOD		=	/bin/chmod
CP		=	/bin/cp
DEST		=	$(DESTDIR)/usr/local/bin
ECHO		=	/bin/echo
FORMATTER	=	/bin/troff
FORMATTER_OPTS	=	
LN		=	/bin/ln
MAKE		=	/usr/ccs/bin/make
MAN		=	$(DESTDIR)/usr/local/man/mann
MANEXT		=	.n
CATMAN		=	none
CATMANEXT	=	
RM		= 	/bin/rm -f
TBL       	=	/bin/tbl
MANROFF		=	
MANROFF_OPTS	=	
MV		=	/bin/mv
TEST		=	test
SUFFIX		=	
PACKED		=	
PACKER		=	

#	Other variables
SHELL		=	/bin/sh

# List of installed man pages 
MAN_LIST	=	$(MAN)/filter$(MANEXT)	

CATMAN_LIST	=	$(CATMAN)/filter$(CATMANEXT)$(SUFFIX)	

# List of formatted pages for catman
FORMATTED_PAGES_LIST =	catman/filter$(CATMANEXT)$(SUFFIX)

REMOTE_MAN_LIST	=	$(REMOTE)$(MAN)/filter$(MANEXT)	


# List of formatted guides
FORMATTED_LIST	=	Filter.fmtd

# Targets
all: 
	@if $(TEST) '$(CATMAN)' != none; then $(MAKE) $(MFLAGS) formatted_pages ;  else true ; fi

#	The following are no-ops
lint:
clean:	

formatted_pages: catman $(FORMATTED_PAGES_LIST)

catman:
	mkdir catman

install:
	@if $(TEST) '$(MAN)' != none; then $(MAKE) $(MFLAGS) install_man ; else true ;  fi
	@if $(TEST) '$(CATMAN)' != none; then $(MAKE) $(MFLAGS) install_catman ; else true ;  fi

install_man: $(MAN_LIST)

install_catman: $(CATMAN_LIST)

uninstall:
	@if $(TEST) '$(MAN)' != none; then  \
		$(RM) $(MAN_LIST)  ; \
	else \
		true ; \
	fi
	@if $(TEST) '$(CATMAN)' != none; then \
		$(RM) $(CATMAN_LIST) ; \
	else \
		true ; \
	fi

#	Dependencies and rules for installing man pages and lib files
#	taken from a remote system
#	This is the only target that gets installed even if not out-of-date
#	with respect the files from which it is installed.
rmt-install:	rmt-defined
		$(CP) $(REMOTE_MAN_LIST) $(MAN)
		$(CHMOD) u=rw,go=r $(MAN_LIST)

rmt-defined:
	@(if [ "$(REMOTE)" = "" ];\
	  then\
	    $(ECHO) "You need to define 'REMOTE' as the remote file system";\
	    $(ECHO) "for this particular command. The easiest way to do this";\
	    $(ECHO) "to type:";\
	    $(ECHO) "        make REMOTE=<remote file system> rmt-install";\
	    exit 1;\
	  fi);

#	Dependencies and rules for installing man pages and lib files

$(MAN)/filter$(MANEXT):	filter.1
				$(CP) $? $@
				$(CHMOD) u=rw,go=r $@


#	Dependencies and rules for installing catman
$(CATMAN)/filter$(CATMANEXT)$(SUFFIX): catman/filter$(CATMANEXT)$(SUFFIX)
				$(CP) $? $@
				$(CHMOD) u=rw,go=r $@


#	Dependencies and rules for making catman pages

catman/filter$(CATMANEXT)$(SUFFIX):		filter.1
	$(MANROFF) $(MANROFF_OPTS) -man $? > catman/filter$(CATMANEXT)
	@if $(TEST) "$(PACKED)" = y ; then \
		$(RM) $@ ; \
		$(PACKER) catman/filter$(CATMANEXT) ; \
	else \
		true ; \
	fi


#	Dependencies and rules for formatting guides
documentation:	$(FORMATTED_LIST)


Filter.fmtd:	Filter.guid
		$(TBL) $? | $(FORMATTER) $(FORMATTER_OPTS) tmac.n - > $@

## filter 2.6.3

=== Makefile ===
--- 
+++ 
@@ -67,7 +67,7 @@
 		$(RM) $(DEST)/filter
 
 clean:		
-		$(RM) $(FILTER_OBJ) filter core
+		$(RM) $(FILTER_OBJ) filter core tags
 
 reallyclean:	clean
 		$(RM) config.sh

=== doc/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 FORMATTER_OPTS	=	
 LN		=	/bin/ln
 MAKE		=	/usr/ccs/bin/make
-MAN		=	$(DESTDIR)/usr/local/man/mann
+MAN		=	$(DESTDIR)/usr/man/mann
 MANEXT		=	.n
 CATMAN		=	none
 CATMANEXT	=

## filter 2.6.3%2Bds1

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-format

%:
	dh $@

override_dh_auto_configure:
	# If you want to answer the questions yourself, comment out
	# the -d option
	./Configure -d

## filter 2.6.3+ds1

=== debian/changelog ===
filter (2.6.3+ds1-5) unstable; urgency=medium

  * QA upload.
  * debian/patches/fix-build-with-gcc-14.patch: Fix build with GCC 14.
    (Closes: #1074956)

 -- Marcos Talau <talau@debian.org>  Sat, 21 Sep 2024 11:27:58 -0300

filter (2.6.3+ds1-4) unstable; urgency=medium

  * QA upload.
  * Migrate GIT repository from alioth to salsa.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066368)
  * Fix building with -Werror=format-security.
  * Declare Rules-Requires-Root: binary-targets.
  * Fix building twice in a row.  (Closes: #1044588)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Apr 2024 10:18:17 +0200

filter (2.6.3+ds1-3) unstable; urgency=low

  * QA upload.
  * Fix more implicit function declarations, this time in audit.c,
    strtokq.c and istrcmp.c. This also fixes segfaults during logging on
    amd64 (and probably more 64-bit platforms). (Closes: #815438)

 -- Axel Beckert <abe@debian.org>  Sun, 21 Feb 2016 16:27:04 +0100

filter (2.6.3+ds1-2) unstable; urgency=low

  * QA upload.
  * Make build reproducible:
    + Add patch to enforce usage of gethostname at runtime instead of
      hardwiring the buildsystem's hostname into the resulting binary.
    + Remove obsoleted hunks from config.h.patch and config.h.SH.patch.
  * Import patch from Ubuntu to fix implicit function declarations.

 -- Axel Beckert <abe@debian.org>  Sat, 20 Feb 2016 23:53:26 +0100

filter (2.6.3+ds1-1) unstable; urgency=low

  * QA upload.
    + Set Maintainer to Debian QA Group. (See #814851)
    + Import package history into Git with "gbp import-dscs" and create a
      collab-maint Git repository for it. Add Vcs-* headers accordingly.
  * Remove "Local variables:" and superfluous blank lines from
    debian/changelog.
  * Revamp packaging:
    + Bump debhelper compatibility to 9 (Closes: #800176)
    + Rewrite debian/rules with minimal dh(1) style
    + Switch to source format "3.0 (quilt)".
    + Add "test" to debian/clean.
    + Depend on ${misc:Depends}.
    + Add Homepage header.
    + Declare compliance with Debian policy 3.9.7.
      - Remove patch hunks which switch /var/mail to /var/spool/mail.
  * Update watch file to version 3. (Closes: #529109)
  * Repack upstream tarball to exclude temporary files ("UU" directory)
    and backup files ("*.orig").
  * Remove obsolete example file debian/manpage.sgml.ex. Thanks lintian!
  * Fix typo and style issues found by lintian.
  * Convert debian/copyright to machine-readable DEP5 format.
  * Enable all hardening flags (for now except format string errors)
    + Add patch to pass CFLAGS, LDFLAGS and friends properly to CC.
  * Add patch to fix spelling errors found via lintian.

 -- Axel Beckert <abe@debian.org>  Sat, 20 Feb 2016 04:41:10 +0100

filter (2.6.3-1) unstable; urgency=medium

  * New upstream release
  * Security bug fixed upstream
  * New feature for matching, "alphasubject"
  * (Closes #124616  grammar "bug")
  * (Closes #287048  security bug)

 -- Philip Brown <pbrown@vore.debian.org>  Fri, 24 Dec 2004 01:31:48 -0500

filter (2.4.2-1) unstable; urgency=low

  * New upstream release
  * made "lines" comparison work
  * added "mailinglist" header check, to look for "x-mailing-list: "
  * made  if(xx != "yy") work again
  * added "resend" command

 -- Philip Brown <pbrown@debian.org>  Wed, 17 Sep 2003 08:14:43 +0200

filter (2.3.1-3) unstable; urgency=low

  * ANOTHER fix for the auto-build process. oops.
    Tweaked Configure some more

 -- Philip Brown <pbrown@debian.org>  Thu, 16 aug 2001 09:44:50 -0700

filter (2.3.1-2) unstable; urgency=low

  * adjustment to build process to make the default be
    fully automated

 -- Philip Brown <pbrown@debian.org>  Sat, 11 aug 2001 09:44:50 -0700

filter (2.3.1-1) unstable; urgency=low

  * Initial Release.

 -- Philip Brown <pbrown@debian.org>  Sat, 28 Jul 2001 09:44:50 -0700

=== debian/control ===
Source: filter
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Rules-Requires-Root: binary-targets
Standards-Version: 3.9.7
Vcs-Browser: https://salsa.debian.org/debian/filter
Vcs-Git: https://salsa.debian.org/debian/filter.git
Homepage: http://www.bolthole.com/filter/

Package: filter
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: program that filters local email via forward/pipe
 filter is one of the original mail filtering programs written for UNIX.
 (originally a part of the 'elm' mailer)
 Install it via a pipe(|) reference in $HOME/.forward, and let it
 separate your incoming email into different personal mailboxes.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-format
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d+// \
http://www.bolthole.com/filter/ \
(?:.*/|)filter(\d\S*)\.(?:tar\.(?:gz|bz2|xz)|tgz|tbz2|txz)

## filter audio-0.0.1

=== Makefile ===
BASE_NAME = libfilteraudio
VERSION = 0.0.0
PREFIX ?= /usr/local
LIBDIR ?= lib
INCLUDEDIR ?= include

STATIC_LIB = $(BASE_NAME).a
PC_FILE = filteraudio.pc

SRC = $(wildcard aec/*.c) $(wildcard agc/*.c) $(wildcard ns/*.c) $(wildcard other/*.c) $(wildcard zam/*.c) $(wildcard vad/*.c) filter_audio.c
OBJ = $(SRC:.c=.o)
HEADER = filter_audio.h
LDFLAGS += -lm -lpthread
TARGET_ONLY = NO

# Check on which system we are running
UNAME_S = $(shell uname -s)
ifeq ($(UNAME_S), Darwin)
    SHARED_EXT = dylib
    TARGET = $(BASE_NAME).$(VERSION).$(SHARED_EXT)
    SHARED_LIB = $(BASE_NAME).$(shell echo $(VERSION) | rev | cut -d "." -f 1 | rev).$(SHARED_EXT)
    LDFLAGS += -Wl,-install_name,$(SHARED_LIB)
else ifneq (, $(shell echo $(UNAME_S) | grep -E 'MSYS|MINGW|CYGWIN'))
    SHARED_EXT = dll
    TARGET = $(BASE_NAME).$(SHARED_EXT)
    TARGET_ONLY = YES
    NO_STATIC = 1
    LDFLAGS += -Wl,--out-implib,$(TARGET).a
else
    SHARED_EXT = so
    TARGET = $(BASE_NAME).$(SHARED_EXT).$(VERSION)
    SHARED_LIB = $(BASE_NAME).$(SHARED_EXT).$(shell echo $(VERSION) | rev | cut -d "." -f 1 | rev)
    LDFLAGS += -Wl,-soname=$(SHARED_LIB)
endif


all: $(TARGET)

$(TARGET): $(OBJ)
	@echo "  LD    $@"
	@$(CC) $(LDFLAGS) -shared -o $@ $^
	@if [ "$(NO_STATIC)" != "1" ]; then \
		echo "  AR    $(STATIC_LIB)" ;\
		ar rcs $(STATIC_LIB) $(OBJ) ;\
	fi

%.o: %.c
	@echo "  CC    $@"
	@$(CC) $(CFLAGS) -fPIC -c -o $@ $<

install: $(TARGET) $(HEADER) $(PC_FILE)
	mkdir -p $(abspath $(DESTDIR)/$(PREFIX)/$(LIBDIR)/pkgconfig)
	mkdir -p $(abspath $(DESTDIR)/$(PREFIX)/$(INCLUDEDIR))
	@echo "Installing $(TARGET)"
	@install -m 0755 $(TARGET) $(abspath $(DESTDIR)/$(PREFIX)/$(LIBDIR)/$(TARGET))
	@echo "Installing $(HEADER)"
	@install -m 0644 $(HEADER) $(abspath $(DESTDIR)/$(PREFIX)/$(INCLUDEDIR)/$(HEADER))
	@echo "Installing $(PC_FILE)"
	@install -m 0644 $(PC_FILE) $(abspath $(DESTDIR)/$(PREFIX)/$(LIBDIR)/pkgconfig/$(PC_FILE))
	@if [ "$(NO_STATIC)" != "1" -a -e "$(STATIC_LIB)" ]; then \
		echo "Installing $(STATIC_LIB)" ;\
		install -m 0644 $(STATIC_LIB) $(abspath $(DESTDIR)/$(PREFIX)/$(LIBDIR)/$(STATIC_LIB)) ;\
	fi
	@if [ "$(TARGET_ONLY)" != "YES" ]; then \
		cd $(abspath $(DESTDIR)/$(PREFIX)/$(LIBDIR)) ;\
		ln -sf $(TARGET) $(SHARED_LIB) ;\
		ln -sf $(SHARED_LIB) $(BASE_NAME).$(SHARED_EXT) ;\
	fi
	@pc_file=$(abspath $(DESTDIR)/$(PREFIX)/$(LIBDIR)/pkgconfig/$(PC_FILE)) ;\
	sed -e 's:__PREFIX__:'$(abspath $(PREFIX))':g' $$pc_file > temp_file && mv temp_file $$pc_file ;\
	sed -e 's:__LIBDIR__:'$(abspath $(PREFIX)/$(LIBDIR))':g' $$pc_file > temp_file && mv temp_file $$pc_file ;\
	sed -e 's:__INCLUDEDIR__:'$(abspath $(PREFIX)/$(INCLUDEDIR))':g' $$pc_file > temp_file && mv temp_file $$pc_file ;\
	sed -e 's:__VERSION__:'$(VERSION)':g' $$pc_file > temp_file && mv temp_file $$pc_file

clean:
	rm -f $(TARGET) $(STATIC_LIB) $(OBJ)

.PHONY: all clean install
